Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Notify_Handler Class Reference

Represents the handler used by the notify calls to the reactor within the ORB. More...

`#include <Notify_Handler.h>`

Inheritance diagram for TAO_Notify_Handler:

[legend]
Collaboration diagram for TAO_Notify_Handler:

[legend]
List of all members.

## Public Methods
| ~TAO_Notify_Handler (void)
| Dtor. More...
virtual int | handle_input (ACE_HANDLE fd)
| The standard handle_input method, it just redirects to the connection handler. More...
virtual int | handle_close (ACE_HANDLE fd, ACE_Reactor_Mask close_mask)
## Static Public Methods
TAO_Notify_Handler * | create_handler (TAO_Connection_Handler *c, ACE_Allocator *alloc)
| Static method to create an instance of this object in the memory pool. More...
void | destroy_handler (TAO_Notify_Handler *nh)
| Static method to destroy an instance of this object. More...
## Protected Methods
| TAO_Notify_Handler (TAO_Connection_Handler *ch, ACE_Allocator *alloc)
| Ctor. More...
## Private Methods
| TAO_Notify_Handler (void)
| Preventing default ctor's. More...
## Private Attributes
TAO_Connection_Handler * | ch_
| Our copy of the connection handler, reference count incremented and stored. More...
ACE_Allocator * | allocator_
| Our allocator. More...

## Detailed Description

Represents the handler used by the notify calls to the reactor within the ORB.

Cluttering the *IOP handlers with the job of handling notify calls introduces problems as mentioned in [BUG 1230]. This special handler can help to avoid that problem by splitting the responsibilities between actual connection handling and notify handling that is done underneath the ORB.

## Constructor & Destructor Documentation

TAO_Notify_Handler::~TAO_Notify_Handler | ( | void |  | ) |

| Dtor.

TAO_Notify_Handler::TAO_Notify_Handler | ( | TAO_Connection_Handler * | ch,
|  | ACE_Allocator * | alloc
| ) | `[protected]`

| Ctor.

TAO_Notify_Handler::TAO_Notify_Handler | ( | void |  | ) | `[private]`

| Preventing default ctor's.

## Member Function Documentation

TAO_Notify_Handler * TAO_Notify_Handler::create_handler | ( | TAO_Connection_Handler * | ch,
|  | ACE_Allocator * | alloc
| ) | `[static]`

| Static method to create an instance of this object in the memory pool.

void TAO_Notify_Handler::destroy_handler | ( | TAO_Notify_Handler * | nh | ) | `[static]`

| Static method to destroy an instance of this object.

int TAO_Notify_Handler::handle_close | ( | ACE_HANDLE | fd,
|  | ACE_Reactor_Mask | close_mask
| ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_Notify_Handler::handle_input | ( | ACE_HANDLE | fd | ) | `[virtual]`

| The standard handle_input method, it just redirects to the connection handler. Reimplemented from ACE_Event_Handler.

## Member Data Documentation

ACE_Allocator* TAO_Notify_Handler::allocator_`[private]`

| Our allocator.

TAO_Connection_Handler* TAO_Notify_Handler::ch_`[private]`

| Our copy of the connection handler, reference count incremented and stored.

The documentation for this class was generated from the following files:

- Notify_Handler.h
- Notify_Handler.cpp